POST/hooks/queuealerts

Create Queuealerts

Implementation Notes

This API call uses a Web Hook to deliver the queue status to a designated endpoint you specify. If a hook is defined, the status—whether successful completion or termination due to an error—will be sent to your endpoint.
Authentication types and its descriptions:
  • None - No authentication required. Users can access resources without providing any credentials.
  • Basic - Username and password required. Users must provide their credentials for verification.
  • Bearer - Token-based authentication. Users present a valid access token to access resources.
  • Header - API key in header: API key is provided as a specific header value (e.g., "X-Api-Key").
This hook will POST the following JSON schema to your endpoint.
POST/hooks/queuealerts

Parameter Details

NameInTypeRequiredDescription
bodybodyOptionalnone
» endpointbodystringOptionalnone
» authtypebodystringOptionalnone
» usernamebodystringOptionalnone
» passwordbodystringOptionalnone
» tokenbodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccessNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /hooks/queuealerts \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body Parameter

{
 "queueid": 31570988,
 "rateshopid": 28719364,
 "statuscode": 2,
 "statusmessage": "Completed",
 "creditused": 240,
 "totalrows": 1003
}

Example responses

200 Response
{
  "requestid": "string",
  "message": "string"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.